{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function security_check, msg, send_event, fieldcount, Get_Status\r\ndeclare subroutine forward_event, security_err_msg,ErrMsg,Set_Status,obj_Annual_Contracts\r\n$insert security_rights_equ\r\n\r\nif security_check( 'Order', Delete$ ) then\r\n\tACID = .AC_ID->TEXT\r\n\tPONo = .PO->TEXT\r\n\t\r\n\tIF ACID NE '' AND PONo NE '' THEN\r\n\t\tSet_Status(0)\r\n\t\tobj_Annual_Contracts('RemOrder',ACID:@RM:PONo)\r\n\t\tIF Get_Status(errCode) THEN\r\n\t\t\tErrMsg(errCode)\r\n\t\t\tRETURN 0\r\n\t\tEND\r\n\tEND\r\n\tforward_event()\r\n\tAllControls = utility( 'OBJECTLIST', @window, '' )\r\n\tAcnt = fieldcount( AllControls, @fm )     \r\n\tfor i = 1 to Acnt         \r\n\t\tThisControl = AllControls<i>\r\n\t\tif ThisControl[-6,6] = '_LABEL' or index( ThisControl, 'MENU', 1 ) or index( ThisControl, 'TEXT', 1 ) else\r\n\t\t\tvoid = set_property( ThisControl, 'ENABLED', 1 )\r\n\t\tend           \r\n\tnext i \r\nend else\r\n\tsecurity_err_msg( 'Order', Delete$ )\r\nend\r\n\r\nRETURN 0"
        }
    }
}